* {
  position: relative;
}

.center {
  width: auto;
  height: auto;
  position: absolute;
  top: 16%;
}

.table {
  width: auto;
  margin: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.table table {
  border-collapse: separate;
  border-spacing: 0;
/*   border: 2px solid #ccc; */
  margin: 16px;
}

.table th {
  padding: 14px;
  font-family: 'Kanit', sans-serif;
  color: #ffffff;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  vertical-align: middle;
  background: #a6a6a6;
  border: 1px solid #ffffff;
}

.delAllBtn {
  padding: 2px 8px;
  border-radius: 10px;
  border: 2px solid rgba(255, 255, 255, 0.4);
  background: transparent;
  color: white;
  font-family: 'Kanit', sans-serif;
  font-size: 16px;
  font-weight: 700;
  text-align: center;
  transition: all 0.2s;
}

.delAllBtn:hover {
  background: rgba(255, 255, 255, 0.4);
  border: 2px solid rgba(255, 255, 255, 0);
  cursor: pointer;
}

.table td {
  padding: 14px 20px;
  margin: 0;
  font-family: 'Laila', sans-serif;
  color: #666666;
  font-size: 16px;
  text-align: center;
  vertical-align: middle;
  border-top: none;
/*   border: 1px solid #ccc; */
}

/*第一欄最後列：左上*/
.table tr:first-child th:first-child{
  border-top-left-radius: 6px;
}
/*第一欄最後列：左下*/
.table tr:last-child td:first-child{
  border-bottom-left-radius: 6px;
}
/*最後欄第一列：右上*/
.table tr:first-child th:last-child{
  border-top-right-radius: 6px;
}
/*最後欄第一列：右下*/
.table tr:last-child td:last-child{
  border-bottom-right-radius: 6px;
}

.table tbody tr:nth-child(even) {
  background-color: #e6e6e6;
}

.table tbody tr:nth-child(odd) {
  background: #fafafa;
}

.table tbody tr:hover {
  background: #cccccc;
  color: #ffffff;
}

.table td img {
  width: 80px;
  border-radius: 20px;
  opacity: 1;
  object-fit: cover;
  transition: all 0.3s;
}
.table td img:hover {
  opacity: 0.5;
  filter: blur(3px);
}

.table td div {
  display: inline-block;
}

.btn {
  font-size: 16px;
  color: #666666;
  padding: 2px 10px;
  margin: 2px;
  border: 1px solid rgba(102, 102, 102, 0.4);
  border-radius: 50%;
  background: transparent;
  cursor: pointer;
  transition: all 0.2s;
}

.btn:hover {
  background: rgba(102, 102, 102, 0.3);
  border: 1px solid rgba(102, 102, 102, 0);
}

td .txt {
  display: none;
}

td .txt.active {
  display: block;
  margin-bottom: -4px;
}

.subDesc {
  color: #ADADAD;
  font-size: 14px;
  margin-bottom: 0px;
}

.delBtn {
  padding: 2px 8px;
  border-radius: 10px;
  border: 2px solid rgba(102, 102, 102, 0.4);
  background: transparent;
  color: #666666;
  font-family: 'Kanit', sans-serif;
  font-size: 16px;
  font-weight: 700;
  text-align: center;
  transition: all 0.2s;
}

.delBtn:hover {
  background: rgba(102, 102, 102, 0.3);
  border: 2px solid rgba(102, 102, 102, 0);
  cursor: pointer;
}

.tableMobile {
  width: 100vw;
  margin: 16px;
  display: none;
  align-items: center;
  justify-content: center;
}

.tableMobile table {
  width: 100%;
  margin: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-collapse: separate;
}

.tableMobile th {
  padding: 14px;
  font-family: 'Kanit', sans-serif;
  color: #ffffff;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  vertical-align: middle;
  background: #a6a6a6;
  border: 1px solid #ffffff;
}

.tableMobile td {
/*   padding: 14px 20px; */
  margin: 0;
  font-family: 'Laila', sans-serif;
  color: #666666;
  font-size: 16px;
  text-align: center;
  vertical-align: middle;
  border-top: none;
  width: 100vw;
/*   border: 1px solid #ccc; */
}

/*第一欄最後列：左上*/
.tableMobile tr:first-child td:first-child{
  border-top-left-radius: 6px;
}
/*第一欄最後列：左下*/
.tableMobile tr:last-child td:first-child{
  border-bottom-left-radius: 6px;
}
/*最後欄第一列：右上*/
.tableMobile tr:first-child td:last-child{
  border-top-right-radius: 6px;
}
/*最後欄第一列：右下*/
.tableMobile tr:last-child td:last-child{
  border-bottom-right-radius: 6px;
}

.tableMobile tbody tr:nth-child(even) {
  background-color: #e6e6e6;
}

.tableMobile tbody tr:nth-child(odd) {
  background: #fafafa;
}

.tableMobile tbody tr:hover {
  background: #cccccc;
  color: #ffffff;
}

.tableMobile td img {
  width: 80px;
  border-radius: 20px;
  opacity: 1;
  object-fit: cover;
  transition: all 0.3s;
}
.tableMobile td img:hover {
  opacity: 0.5;
  filter: blur(3px);
}

.descMobile {
  width: 100%;
  height: 70%;
  display: flex;
  align-items: center;
  justify-content: space-between;
/*   background: lightgray; */
  padding: 16px 10px;
}

.btnBarMobile {
  width: 100%;
  height:30%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  background: #999999;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  padding: 12px 4px;
}

.btnMobile {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 1px solid #444444;
  padding: 2px;
  background: transparent;
}

.costMobile {
  color: white;
  margin-left: 8px;
  margin-right: -8px;
}

.descQty {
  color: white; 
}

.descName {
  font-size: 18px;
  font-weight: 600;
}

.descText {
  width: 100%;
  height: 100%;
/*   background: white; */
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  flex-direction: column;
  margin: 0px;
}

.descText p {
  margin: 0px 0px 4px 16px;
}

.index {
  width: 30px;
  height: 30px;
  background: #666666;
  color: white;
  font-size: 12px;
  border-radius: 50%;
  position: absolute;
  bottom: 0;
  right: 0;
  margin: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.submit {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 36px;
}

.submitBtn {
  font-size: 22px;
  color: white;
  font-family: 'Kanit', sans-serif;
  background: #666666;
  border: 2px solid transparent;
  border-radius: 10px;
  padding: 10px 60px;
  cursor: pointer;
  transition: all 0.3s;
}

.submitBtn:hover {
  color: #666666;
  background: transparent;
  border: 2px solid #666666;
}

@media (max-width: 575.98px) {
  .table {
    display: none;
  }

  .tableMobile {
    display: flex;
  }
}